#!/usr/bin/python

'''
   File name: TestX.py
   Author: Wayne Parham
   Date created: 04/01/2018
'''


from ReprtLib import *


if( os.path.isfile(manifest_file) ):
   data, datatype = ReadManifestFile( manifest_file )
   if( datatype == "JSON" ):
      message = ProcessJSON( data )
      retcode = SendMessage( message )
   else:
      catalog = ProcessManifest( data )
      retcode = CreateMessage( catalog )

   if( retcode == 0 ):
      print( "==> Manifest file [" + manifest_file + "] successfully processed." )
else:
      print( "==> No ["+manifest_file+"] manifest file present in ["+datadir+"]." )

